function [a, b] = promote_and_check (a, b)
  if (! isa (a, "gf",))
    a = gf (a, b.m, b.prim_poly);
  elseif (! isa (b, "gf"))
    b = gf (b, a.m, a.prim_poly);
  elseif (a.m != b.m)
    error ("galois field orders must match");
  elseif (a.prim_poly != b.prim_poly)
    error ("galois field primitive polynomials must match");
  endif
endfunction
