function y = times (a, b)
  if (a.m == b.m && a.prim_poly == b.prim_poly)
    alpha_to = a.alpha_to;
    index_of = a.index_of;
    y = zeros (size (a));
    nzidx = ! (a.x == 0 | b.x == 0);
    y(nzidx) = a.alpha_to (modn(index_of (a.x(nzidx) + 1) + 
				index_of (b.x(nzidx) + 1),
				a.m, a.n) + 1);
    y = gf (y, a.m, a.prim_poly);
  else
    error ("times: inconsistent galois fields");
  endif
endfunction
